<?
include '../config.php';
include '../func.php';
head();
aut();
ban();

if($error){ echo $error;
}else{
/////////////////////////////
mysql_query("UPDATE `profile` SET `online` = 'photo' WHERE `id` = '".$id_session."'");
echo "<div class=\"head\"><b>Фотоальбомы</b></div><div class=\"main\">";  

switch ($_GET['act']) {
    default:
    echo 'Страница не найдена.';
    break;
    
    case 'photo':
    
    $photo = num($_GET['id']);
    $photo_info = mysql_fetch_assoc(mysql_query("SELECT * FROM `photo_photos` WHERE `id` = '".$photo."'"));
    
    if(isset($photo_info['id'])) {
        
        if($_GET['a']=='yes'){
            
        if (($photo_info['user']==$id_session)) {
            mysql_query("DELETE FROM `photo_photos` WHERE `id` = '".$photo."'");
            mysql_query("DELETE FROM `photo_coment` WHERE `photo` = '".$photo."'");
            echo 'Фото успешно удалено.<br/>';
            echo 'Коментарии к фото удалены.<br/>';
        }
        
        } else {
            echo 'Вы действительно хотите удалить фото?<br/>';
            echo "<a href=\"delete.php?act=photo&id=".$photo."&a=yes\">Да</a> | <a href=\"photo.php?photo=".$photo."\">Нет</a><br/>";
        }
        
    } else {
        echo 'Данного фото нет в базе.';
    }
    break;
}

echo '<br/>';
echo "<a href=\"index.php\">Фотоальбомы</a> -> <a href=\"photos.php?id=".$photo_info['album']."\">Альбом</a> -> <a href=\"photo.php?photo=".num($_GET['photo'])."\">Фото</a> -> <b>Настройки превью</b><br/>";


}
pod_navig();
foot();
?>
